Intel Management Engine – Security Flaw Found in Corporate PCs

Security group Embedi recently found a major security vulnerability in Intel corporate pcs running remote administration software. This flaw affects Intel AMT, SBA, or ISM capable systems. These systems will not be owned by home users but most likely by corporate customers.

Intel manageability firmware version 6.x, 7.x, 8.x 9.x, 10.x, 11.0, 11.5, and 11.6 are affected. A remote attacker can escalate their privileges remotely. This can allow them to access and or install software without your knowledge.

Some Intel servers are not affected by this vulnerability. Intel has created a tool that you can download that will detect whether or not you have a vulnerable system. Intel recommends you try upgrading your firmware on your affected system.

That is if your equipment manufacturer has one available.

Leave a Comment

Leave a Reply